import express from "express";
import { APIError } from "rest-api-errors";
import {
    listCountries,
    handleGetCountry,
    listCurrencies,
    getIntTransactionTypeList
    // addInternationalTransactionTypeList,
    // addDomesticTransactionTypeList,
    // insertCountry,
    // getCountryByID,
    // updateCountry,
    // getViewCountry,
    // approveRejectVisibility,
    // approveCountry,
  } from '../controllers/countryController.js';
  
  const router = express();

  
// Country Management Routes
router.get('/getcountrieslist/:authorizationToken/:username', listCountries);
router.get('/getCountry/:countryId', handleGetCountry);
router.get('/currencieslist/:authorizationToken/:username', listCurrencies);
router.get('/getinternationaltransactiontypelist/:authorizationToken/:username', getIntTransactionTypeList);
// router.get('/master/country/add/domestic-transaction-type-list', addDomesticTransactionTypeList);
// router.post('/master/country/Insert', insertCountry);
// router.get('/master/country/countryByID', getCountryByID);
// router.patch('/master/country/Update', updateCountry);
// router.get('/master/country/GetViewCountry', getViewCountry);
// router.get('/master/country/ApproveRejectVisibility', approveRejectVisibility);
// router.post('/master/country/Approve', approveCountry);


export default router;