import express from "express";

import {
  listBaseCountry,
  listCountryPermission,
  listTargetCountryByCountryId,
} from "../controllers/countryPermission.js";

const router = express();

// Country Permission Routes
router.get("/getCountryPermission", listCountryPermission);
router.get("/getBaseCountry", listBaseCountry);
router.get("/getTargetCountry/:countryId", listTargetCountryByCountryId);

export default router;
